/*
 * Java-Gnome Bindings Library
 * 
 * Copyright 1998-2004 the Java-Gnome Team, all rights reserved.
 * 
 * The Java-Gnome bindings library is free software distributed under the terms
 * of the GNU Library General Public License version 2.
 */

package org.gnu.glade;

import java.lang.reflect.Method;

import org.gnu.gtk.event.TreeViewEvent;
import org.gnu.gtk.event.TreeViewListener;

/**
 */
public class TreeViewDelegate extends ListenerDelegate implements TreeViewListener {

	
	public TreeViewDelegate(String signal, Object owner, Method handler, Object target)
			throws NoSuchMethodException {
		super(signal, owner, handler, target);
	}

	public void treeViewEvent(TreeViewEvent event) {
		fireEvent(event);
	}
}
